define({"588":{i:0.000296578288779216,u:"../Content/Configuration/Service/_ACI_ServiceConfigParams_Reference.htm",a:"This section describes the Service configuration parameters that determine which machines are permitted to use and control a service.  You must enable the service port by specifying the  ServicePort  configuration parameter, and you must configure authorization roles to determine which users can ...",t:"Service Configuration Parameters"},"589":{i:0.000296578288779216,u:"../Content/Configuration/Service/_ACI_Access_Control_Allow_Ori.htm",a:"A list of URLs that you want to use to access the IDOL Admin interface. You must configure this parameter to enable Cross Origin Resource Sharing, which allows IDOL Admin to access the index and service ports for your components.  Each URL must include: the http:// or https:// prefix the host that ...",t:"Access-Control-Allow-Origin"},"590":{i:0.000296578288779216,u:"../Content/Configuration/Service/_ACI_FIPSMode.htm",a:"Set FIPSMode to  True to enable the FIPS-compliant cryptographic modules in your  IDOL components.   IDOL uses a cryptographic module which complies with Federal Information Processing Standard 140-2 (FIPS 140-2). This standard defines the technical requirements that Federal Agencies must use for ...",t:"FIPSMode"},"591":{i:0.00073398571645291,u:"../Content/Configuration/Service/_ACI_RequireGSSAuth.htm",a:"Set RequireGSSAuth to True to enable GSSAPI authentication mode on the Connector Framework Server service port. In this mode, all connections to the service port must be authenticated using GSSAPI and the Negotiate HTTP authentication mechanism.  To use GSSAPI authentication, you must also set  ...",t:"RequireGSSAuth"},"592":{i:0.000872261405433483,u:"../Content/Configuration/Service/_ACI_ServiceACIMode.htm",a:"ServiceACIMode Generates ACI-compatible XML.",t:"ServiceACIMode"},"593":{i:0.000968550138537793,u:"../Content/Configuration/Service/_ACI_ServiceHost.htm",a:"ServiceHost The host server on which the service is running. You must configure  Authorization Roles Configuration Parameters  to determine the users that can send service requests.",t:"ServiceHost"},"594":{i:0.00106326870931743,u:"../Content/Configuration/Service/_ACI_ServicePort.htm",a:"ServicePort The port on the host server on which the service listens for service status and control requests.  You must configure  Authorization Roles Configuration Parameters  to determine the users that can send service requests.",t:"ServicePort"},"595":{i:0.000296578288779216,u:"../Content/Configuration/Service/_ACI_SSLConfig.htm",a:"SSLConfig The name of the configuration section that specifies the SSL configuration details (usually SSLOptionN).  Set this parameter in the [Service] section to configure SSL for incoming service actions. ",t:"SSLConfig"},"596":{i:0.000296578288779216,u:"../Content/Configuration/Service/_ACI_TCPReceiveWindowSize.htm",a:"The TCP receive window size to use when the service receives data. This parameter sets the size of the socket receiving buffers for all IDOL components. Use this parameter to tune network performance based on bandwidth and client to server round-trip times. Generally, a higher value improves ...",t:"TCPReceiveWindowSize"},"597":{i:0.000296578288779216,u:"../Content/Configuration/XmlParsing/_XMLParsing.htm",a:"The parameters in this section configure how CFS parses XML files that it receives. Consider the following XML: \u003cxml\u003e \n   \u003cdocuments\u003e \n      \u003cdocument my_attribute=\"value\"\u003e \n         \u003cmetadata\u003e \n           \u003cname\u003eThis is the name of the document\u003c/name\u003e \n           \u003ccreated\u003e28/02/15 11:01:17\u003c/created\u003e ...",t:"XML Parsing Parameters"},"598":{i:0.00247838607898726,u:"../Content/Configuration/XmlParsing/ContentPaths.htm",a:"A comma-separated list of possible paths to a node that contains the document content. Specify the paths relative to the node identified by  DocumentRootPaths . Use a forward slash (/) to represent levels in the XML hierarchy. If multiple content nodes are identified for a single document, a ...",t:"ContentPaths"},"599":{i:0.00265529252947326,u:"../Content/Configuration/XmlParsing/DocumentRootPaths.htm",a:"DocumentRootPaths A comma-separated list of paths to nodes that contain a single document. Specify the paths relative to the root of the XML. Use a forward slash (/) to represent levels in the XML hierarchy. Any elements contained within the specified node are added to the document as metadata.",t:"DocumentRootPaths"},"600":{i:0.000296578288779216,u:"../Content/Configuration/XmlParsing/IncludeRootPath.htm",a:"A Boolean value that specifies whether to include the node specified by  DocumentRootPaths  in the document. You might set this parameter to  TRUE if your root node has attributes that you need to include in the document. For example, consider the following XML: \u003cxml\u003e\n   \u003cdocuments\u003e \n      \u003cdocument ...",t:"IncludeRootPath"},"601":{i:0.00247838607898726,u:"../Content/Configuration/XmlParsing/ReferencePaths.htm",a:"A comma-separated list of possible paths to a node  that contains the document reference. Specify the paths relative to the node identified by  DocumentRootPaths . Use a forward slash (/) to represent levels in the XML hierarchy. The XML for each document must contain exactly one node that matches ...",t:"ReferencePaths"},"602":{i:0.000296578288779216,u:"../Content/Configuration/XmlTransformation/_XMLTransformation.htm",a:"The parameters in this section configure how CFS transforms ingested XML. If you only need to handle XML files that match one schema, you can set the  ValidationSchema  and  TransformationStylesheet  parameters in the [XmlTransformation] section: [XmlTransformation]\nValidationSchema=schema.xsd ...",t:"XML Transformation Parameters"},"603":{i:0.000296578288779216,u:"../Content/Configuration/XmlTransformation/LogValidationErrors.htm",a:"LogValidationErrors A Boolean value that specifies whether to log the reasons why an XML file does not match a schema (specified by  ValidationSchema ). This parameter is for troubleshooting purposes only and should not be set in a production system.",t:"LogValidationErrors"},"604":{i:0.00297961141391777,u:"../Content/Configuration/XmlTransformation/Sections.htm",a:"A comma-separated list of sections, in the CFS configuration file, that contain settings for transforming XML files. If you only need to handle XML files that match one schema, you can set the  ValidationSchema  and  TransformationStylesheet  parameters in the [XmlTransformation] section: ...",t:"Sections"},"605":{i:0.00306806463916077,u:"../Content/Configuration/XmlTransformation/TransformationStylesheet.htm",a:"TransformationStylesheet The path of an XSL stylesheet to use to transform XML files.",t:"TransformationStylesheet"},"606":{i:0.00324497108964677,u:"../Content/Configuration/XmlTransformation/ValidationSchema.htm",a:"ValidationSchema The path of the XML Schema Definition (XSD) file to use to determine whether an XML file should be transformed. If an ingested XML file matches the schema file, then CFS runs the transformation specified by  TransformationStylesheet .",t:"ValidationSchema"},"607":{i:0.000548670057504113,u:"../Content/Service/_ACI_part_Service.htm",a:"Service Actions This section describes the service actions that you can send to the service. Introduction to Service Actions Service Actions",t:"Service Actions"},"608":{i:0.000529763294210614,u:"../Content/Service/_ACI_Service_Intro.htm",a:"Service actions  return data about the service and allow you to control the service. You must add the  ServicePort  configuration parameter to the [Service] section of the  configuration file to enable the service port. You can use authorization roles to control which users can send service control ...",t:"Introduction to Service Actions"},"609":{i:0.000296578288779216,u:"../Content/Service/_ACI_Action_Syntax.htm",a:"Action Syntax The actions use the following syntax: http://Host:Port/action=ActionName\u0026[Parameters] where, For example: http://12.3.4.56:40010/action=GetConfig This action uses port 40010 to request the service’s configuration file settings. Related Topics Service Actions",t:"Action Syntax"},"610":{i:0.00061379388378558,u:"../Content/Service/ServiceActions/_ACI_ServiceActions_Reference.htm",a:"Service Actions This section describes the Service actions.",t:"Service Actions"},"611":{i:0.000334103228132303,u:"../Content/Service/ServiceActions/_ACI_ACIThreadStatus.htm",a:"Returns information about the activity of all the threads that the ACI service is using, including the number of accepted connections. This is a service status action that can be sent only by users that belong to an authorization role that allows the ServiceStatus standard role, or which enables the ...",t:"ACIThreadStatus"},"612":{i:0.00302020778819752,u:"../Content/Service/ServiceActions/_ACI_Diagnostic.htm",a:"The Diagnostic action creates a ZIP file for the service, which contains useful information for troubleshooting.  The information provided, and the level of detail in the files, varies for different services.  This is a service control action that can be sent only by users that belong to an ...",t:"Diagnostic"},"613":{i:0.000334103228132303,u:"../Content/Service/ServiceActions/_ACI_GetConfig.htm",a:"The GetConfig action returns the service’s configuration file settings. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization Roles Configuration ...",t:"GetConfig"},"614":{i:0.00175833483815533,u:"../Content/Service/ServiceActions/_ACI_GetLogStream.htm",a:"The GetLogStream action returns a specific log stream for the service. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization Roles Configuration ...",t:"GetLogStream"},"615":{i:0.00099259660786371,u:"../Content/Service/ServiceActions/_ACI_GetLogStreamNames.htm",a:"The GetLogStreamNames action returns the names of the log streams defined for the service. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization ...",t:"GetLogStreamNames"},"616":{i:0.000334103228132303,u:"../Content/Service/ServiceActions/_ACI_GetStatistics.htm",a:"The GetStatistics action returns statistics for the service. This is a service status action that can be sent only by users that belong to an authorization role that allows the ServiceStatus standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . ...",t:"GetStatistics"},"617":{i:0.000334103228132303,u:"../Content/Service/ServiceActions/_ACI_GetStatus.htm",a:"The GetStatus action returns the status of the service  (running, paused, or stopping) and some current configuration settings.  This is a service status action that can be sent only by users that belong to an authorization role that allows the ServiceStatus standard role, or which enables the ...",t:"GetStatus"},"618":{i:0.000334103228132303,u:"../Content/Service/ServiceActions/_ACI_GetStatusInfo.htm",a:"The GetStatusInfo action returns status information for the service (for example, the service’s product name, version number and so on). The action returns the following status information for the service: This is a service status action that can be sent only by users that belong to an authorization ...",t:"GetStatusInfo"},"619":{i:0.000334103228132303,u:"../Content/Service/ServiceActions/_ACI_Stop.htm",a:"The Stop action stops the service. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example action=Stop ...",t:"Stop"},"620":{i:0.000334103228132303,u:"../Content/Service/ServiceActions/_ACI_ValidateConfig.htm",a:"The ValidateConfig action detects and returns a list of configuration errors such as repeated or unused configuration keys and sections, unreferenced entries and so on.  For the ValidateConfig action to validate a configuration section, Connector Framework Server must have previously read that ...",t:"ValidateConfig"},"621":{i:0.000296578288779216,u:"../Content/Lua/_LUA_Lua_Scripts.htm",a:"Lua Functions and Methods Reference This section describes the functions and methods that you can use in your Lua scripts.",t:"Lua Functions and Methods Reference"},"622":{i:0.000296578288779216,u:"../Content/Lua/General/_LUA_General_Methods.htm",a:"General Functions",t:"General Functions"},"623":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_abs_path.htm",a:"abs_path The abs_path method returns the supplied path as an absolute path. Syntax abs_path( path ) Arguments Returns (String). A string containing the supplied path as an absolute path.",t:"abs_path"},"624":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_base64_decode.htm",a:"base64_decode The base64_decode method decodes a base64-encoded  string. Syntax base64_decode( input ) Arguments Returns (String). The decoded string. If the input is not a valid base64-encoded string, the function returns nil.",t:"base64_decode"},"625":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_base64_encode.htm",a:"base64_encode The base64_encode method base64-encodes a string. Syntax base64_encode( input ) Arguments Returns (String). A base64-encoded string.",t:"base64_encode"},"626":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_convert_date_time.htm",a:"The convert_date_time method converts date and time formats using standard IDOL formats. All date and time input is treated as local time unless it contains explicit time zone information. The InputFormatCSV and OutputFormat arguments specify date and time formats, and accept the following values: ...",t:"convert_date_time"},"627":{i:0.000557638711559167,u:"../Content/Lua/General/_LUA_convert_encoding.htm",a:"convert_encoding The convert_encoding method converts the encoding of a string from one character encoding to another. Syntax convert_encoding( input, encodingTo, encodingTables [, encodingFrom]) Arguments Returns (String). A string, using the specified character encoding.",t:"convert_encoding"},"628":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_copy_file.htm",a:"copy_file The copy_file method copies a file. Syntax copy_file( src, dest [, overwrite] ) Arguments Returns (Boolean). A Boolean, true to indicate success or false for failure.",t:"copy_file"},"629":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_create_path.htm",a:"create_path The create_path method creates the specified directory tree. Syntax create_path( path ) Arguments",t:"create_path"},"630":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_create_uuid.htm",a:"create_uuid The create_uuid method creates a universally unique identifier. Syntax create_uuid() Returns (String). A string containing the universally unique identifier.",t:"create_uuid"},"631":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_delete_file.htm",a:"delete_file The delete_file method deletes a file. Syntax delete_file( path ) Arguments Returns (Boolean). A boolean, true to indicate success or false for failure.",t:"delete_file"},"632":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_delete_path.htm",a:"delete_path The delete_path function deletes the specified directory, but only if it is empty. Syntax delete_path( path ) Arguments Returns Nothing. Example delete_path( \"C:\\MyFolder\\AnotherFolder\\\" )",t:"delete_path"},"633":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_doc_tracking.htm",a:"The doc_tracking function raises a document tracking event for a document. Syntax doc_tracking( document , eventName [, eventMetadata] [, reference] ) Arguments Returns (Boolean). A Boolean that indicates whether the event was raised successfully. Example local ...",t:"doc_tracking"},"634":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_encrypt.htm",a:"encrypt The encrypt method encrypts a string and returns the encrypted string. It uses the same encryption method as ACL encryption. Syntax encrypt( content ) Arguments Returns (String). The encrypted string.",t:"encrypt"},"635":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_encrypt_security_field.htm",a:"encrypt_security_field The encrypt_security_field method returns the encrypted form of the supplied field. Syntax encrypt_security_field( field ) Arguments Returns (String). An encrypted string.",t:"encrypt_security_field"},"636":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_extract_date.htm",a:"The extract_date function searches a string for a date and returns the date. This function uses standard IDOL date formats.  All date and time input is treated as local time unless it contains explicit time zone information. The following table describes the standard IDOL date formats: The following ...",t:"extract_date"},"637":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_file_setdates.htm",a:"The file_setdates method sets the metadata for the file specified by path. If the format argument is not specified, the dates must be specified in seconds since the epoch (1st January 1970). Syntax file_setdates( path, created, modified, accessed [, format] ) Arguments Returns (Boolean). A Boolean ...",t:"file_setdates"},"638":{i:0.000897580177646632,u:"../Content/Lua/General/_LUA_get_config.htm",a:"The get_config function loads a configuration file. Configuration files are cached after the first call to get_config, to avoid unnecessary disk I/O in the likely event that the same configuration is accessed frequently by subsequent invocations of the Lua script. One cache is maintained per Lua ...",t:"get_config"},"639":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_get_log.htm",a:"This version of the get_log function is deprecated in Connector Framework Server 11.4.0 and later. This version of the function is still available for existing implementations, but it might be incompatible with new functionality. This version of the function might be removed in future. Micro Focus ...",t:"get_log"},"640":{i:0.00153619392377431,u:"../Content/Lua/General/_LUA_get_log2.htm",a:"get_log The get_log method returns a  LuaLog  object that provides the capability to write messages to a specified log type. Syntax get_log( log_type ) Arguments Returns (LuaLog). A  LuaLog  object. Example local log = get_log(\"application\")\nlog:write_line(log_level_normal(), \"doing something...\")",t:"get_log"},"641":{i:0.000432829118149526,u:"../Content/Lua/General/_LUA_get_log_service.htm",a:"The get_log_service function obtains a  LuaLogService  object, from which you can obtain a  LuaLog  object that you can use to write messages to a log file. To obtain a LuaLog object for writing to a standard log stream, call the function without any arguments or use the function  get_log  instead. ...",t:"get_log_service"},"642":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_getcwd.htm",a:"getcwd The getcwd method returns the current working directory of the application. Syntax getcwd() Returns (String). Returns a string containing the absolute path of the current working directory.",t:"getcwd"},"643":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_gobble_whitespace.htm",a:"gobble_whitespace The gobble_whitespace method reduces multiple adjacent white spaces (tabs, carriage returns, spaces, and so on) in the specified string to a single space. Syntax gobble_whitespace( input ) Arguments Returns (String). A string without adjacent white spaces.",t:"gobble_whitespace"},"644":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_hash_file.htm",a:"hash_file The hash_file method hashes the contents of the specified file using the SHA1 or MD5 algorithm. Syntax hash_file( FileName, Algorithm ) Arguments Returns (String). A hash of the file contents.",t:"hash_file"},"645":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_hash_string.htm",a:"hash_string The hash_string method hashes the specified string using the SHA1 or MD5 algorithm. Syntax hash_string( StringToHash, Algorithm ) Arguments Returns (String). The hashed input string.",t:"hash_string"},"646":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_is_dir.htm",a:"is_dir The is_dir method checks if the supplied path is a directory. Syntax is_dir( path ) Arguments Returns (Boolean). Returns true if the supplied path is a directory, false otherwise.",t:"is_dir"},"647":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_log.htm",a:"log The log method appends log messages to the specified file. Syntax log( file, message ) Arguments",t:"log"},"648":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_move_file.htm",a:"move_file The move_file method moves a file. Syntax move_file( src, dest [, overwrite] ) Arguments Returns (Boolean). Returns true to indicate success, false otherwise.",t:"move_file"},"649":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_parse_csv.htm",a:"The parse_csv method parses a string of comma-separated values into individual strings. The method understands quoted values (such that parsing \u0027foot, \"leg, torso\", elbow\u0027 produces three values) and ignores white space around delimiters. Syntax parse_csv( input [, delimiter ] ) Arguments Returns ...",t:"parse_csv"},"650":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_parse_document_csv.htm",a:"The parse_document_csv function parses a CSV file into documents and calls a function on each document. This function can handle CSV files with or without a header row, but if a header row is not present you must: set the named parameter use_header_row to false. specify the document field names to ...",t:"parse_document_csv"},"651":{i:0.000429532459483854,u:"../Content/Lua/General/_LUA_parse_document_idx.htm",a:"The parse_document_idx function parses an IDX file into documents and calls a function on each document. Syntax parse_document_idx( filename, handler ) Arguments Example The following example uses the parse_document_idx function to parse an IDX file, and calls the function appendDocumentReference on ...",t:"parse_document_idx"},"652":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_parse_document_idx2.htm",a:"The parse_document_idx function parses an IDX string or file, and returns a  LuaDocument . You can use this function if the string or file contains a single document. If you have an IDX file that contains multiple documents you can use the function  parse_document_idx(filename, handler) instead. ...",t:"parse_document_idx"},"653":{i:0.000429532459483854,u:"../Content/Lua/General/_LUA_parse_document_xml.htm",a:"The parse_document_xml function parses an XML file into documents and calls a function on each document. Syntax parse_document_xml( filename, handler [, params ] ) Arguments Named Parameters The default values of the content_paths, document_root_path, and reference_paths arguments are suitable for ...",t:"parse_document_xml"},"654":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_parse_document_xml2.htm",a:"The parse_document_xml function parses an XML string or file into a document and returns a LuaDocument. You can use this function if the string or file contains a single document. If you have an XML file that contains multiple documents you can use the function  parse_document_xml(filename, handler ...",t:"parse_document_xml"},"655":{i:0.000562556309621687,u:"../Content/Lua/General/_LUA_parse_json.htm",a:"The parse_json function parses a string of JSON and returns a JSON value. Syntax parse_json( json ) Arguments Returns ( LuaJsonValue ). A LuaJsonValue containing the JSON data. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ...",t:"parse_json"},"656":{i:0.000460817337204584,u:"../Content/Lua/General/_LUA_parse_json_array.htm",a:"The parse_json_array function parses a string and returns a JSON array. Syntax parse_json_array( json ) Arguments Returns ( LuaJsonArray ). A LuaJsonArray containing the JSON data. See Also If you can\u0027t be sure whether the input data is a JSON array, you can use the function  parse_json  to parse ...",t:"parse_json_array"},"657":{i:0.000460817337204584,u:"../Content/Lua/General/_LUA_parse_json_object.htm",a:"The parse_json_object function parses a string and returns a JSON object. Syntax parse_json_object( json ) Arguments Returns ( LuaJsonObject ). A LuaJsonObject containing the JSON data. See Also If you can\u0027t be sure whether the input data is a JSON object, you can use the function  parse_json  to ...",t:"parse_json_object"},"658":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_parse_xml.htm",a:"The parse_xml method parses an XML string to a LuaXmlDocument. The following character encodings are supported. If the XML uses a different character encoding, you can use the function  convert_encoding  to convert the encoding before parsing the XML. UTF-8 UTF-16 ISO-Latin-1 (ISO-8859-1) ASCII ...",t:"parse_xml"},"659":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_regex_match.htm",a:"The regex_match method performs a regular expression match on a string. Syntax regex_match( input, regex [, case] ) Arguments Returns One or more strings, or nil. If the string matches the regular expression, and the regular expression has no sub-matches, the full string is returned. If the string ...",t:"regex_match"},"660":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_regex_replace_all.htm",a:"The regex_replace_all method searches a string for matches to a regular expression, and replaces the matches according to the value specified by the replacement argument. Syntax regex_replace_all( input, regex, replacement ) Arguments Returns (String). The modified string. Examples ...",t:"regex_replace_all"},"661":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_regex_search.htm",a:"regex_search The regex_search method performs a regular expression search on a string. This method returns a LuaRegexMatch object, rather than strings. Syntax regex_search ( input, regex [, case]) Arguments Returns (LuaRegexMatch).",t:"regex_search"},"662":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_script_path.htm",a:"The script_path function returns the path and file name of the script that is running. Syntax script_path() Returns (String, String) Returns the path of the folder that contains the script and the file name of the script, as separate strings. Example local script_directory, script_filename = ...",t:"script_path"},"663":{i:0.00293221018539443,u:"../Content/Lua/General/_LUA_send_aci_action.htm",a:"The send_aci_action method sends a query to an ACI server. This method takes the action parameters as a table instead of the full action as a string, as with send_aci_command. This avoids issues with parameter values containing an ampersand (\u0026). Syntax send_aci_action( host, port, action [, ...",t:"send_aci_action"},"664":{i:0.00279480251947944,u:"../Content/Lua/General/_LUA_send_aci_command.htm",a:"The send_aci_command method sends a query to an ACI server. Syntax send_aci_command( host, port, query [, timeout] [, retries] [, sslParameters] ) Arguments Returns (String). Returns the XML response as a string. If required, you can call parse_xml on the string to return a LuaXmlDocument. If the ...",t:"send_aci_command"},"665":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_send_and_wait_for_async_aci_action.htm",a:"The send_and_wait_for_async_aci_action method sends a query to an ACI server. The method does not return until the action has completed. You might use this method when you want to use an asynchronous action. The send_aci_action method returns as soon as it receives a response, which for an ...",t:"send_and_wait_for_async_aci_action"},"666":{i:0.000553517976133438,u:"../Content/Lua/General/_LUA_send_http_request.htm",a:"The send_http_request function sends a HTTP request. Syntax send_http_request( params ) Arguments Named Parameters Returns String. The HTTP response. The send_http_request function can throw an exception if the request fails. You can catch an exception by calling send_http_request using the Lua ...",t:"send_http_request"},"667":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_sleep.htm",a:"sleep The sleep method pauses the thread. Syntax sleep( milliseconds ) Arguments",t:"sleep"},"668":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_unzip_file.htm",a:"unzip_file The unzip_file method extracts the contents of a zip file. Syntax unzip_file( path, dest ) Arguments Returns (Boolean). Returns a Boolean indicating success or failure.",t:"unzip_file"},"669":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_url_escape.htm",a:"url_escape The url_escape method percent-encodes a string. Syntax url_escape( input ) Arguments Returns (String). The percent-encoded string.",t:"url_escape"},"670":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_url_unescape.htm",a:"url_unescape The url_unescape method replaces URL escaped characters and returns a standard string. Syntax url_unescape( input ) Arguments Returns (String). The modified string.",t:"url_unescape"},"671":{i:0.000301426207408541,u:"../Content/Lua/General/_LUA_xml_encode.htm",a:"xml_encode The xml_encode method takes a string and encodes it using XML escaping. Syntax xml_encode ( content ) Arguments Returns (String).",t:"xml_encode"},});